Bug 517507 - Package Review: perl-Locale-Msgfmt - Compile .po files to .mo files
Summary: Package Review: perl-Locale-Msgfmt - Compile .po files to .mo files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 12:26 UTC by Marcela Mašláňová
Modified: 2014-06-25 18:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-18 05:59:03 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Marcela Mašláňová 2009-08-14 12:26:33 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Locale-Msgfmt.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Locale-Msgfmt-0.14-1.fc11.src.rpm
Description: This module does the same thing as msgfmt from GNU gettext-tools,.
except this is pure Perl. The interface is best explained through
examples on home page.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1605020

Comment 1 Parag AN(पराग) 2009-08-14 12:53:31 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1605020
+ rpmlint is silent for RPM and SRPM.
+ source files match upstream url
767b2328e323eb06d0a9a5163b451d38748447ec  Locale-Msgfmt-0.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=16,  1 wallclock secs ( 0.05 usr  0.00 sys +  0.40 cusr  0.03 csys =  0.48 CPU)
+ Package perl-Locale-Msgfmt-0.14-1.fc12.noarch =>
  Provides: perl(Locale::Msgfmt) = 0.14 perl(Locale::Msgfmt::Utils) = 0.14 perl(Locale::Msgfmt::mo) = 0.14 perl(Locale::Msgfmt::po) = 0.14 perl(Module::Install::Msgfmt) = 0.14
Requires: /usr/bin/perl perl(File::Path) perl(File::Spec) perl(Getopt::Long) perl(Locale::Msgfmt) >= 0.14 perl(Locale::Msgfmt::Utils) perl(Locale::Msgfmt::mo) perl(Locale::Msgfmt::po) perl(Module::Install::Base) perl(Module::Install::Share) perl(base) perl(strict) perl(warnings)

APPROVED.

Comment 2 Marcela Mašláňová 2009-08-17 06:44:20 UTC
New Package CVS Request
=======================
Package Name: perl-Locale-Msgfmt
Short Description: Compile .po files to .mo files
Owners: mmaslano
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-08-17 18:16:50 UTC
cvs done.

Comment 4 Jitka Plesnikova 2014-01-22 16:15:22 UTC
Package Change Request
======================
Package Name: perl-Locale-Msgfmt
New Branches: el5 el6
Owners: rlandmann

I am a maintainer of devel branch, but I don't have enough time to maintain it for epel.
rlandmann requested the branches and he wants to take care of them.

Comment 5 Gwyn Ciesla 2014-01-22 16:47:31 UTC
Git done (by process-git-requests).

Comment 6 Jitka Plesnikova 2014-06-25 15:10:51 UTC
Package Change Request
======================
Package Name: perl-Locale-Msgfmt
New Branches: epel7
Owners: richardhenwood
InitialCC: perl-sig

As requested in bug #1111242.

richardhenwood requested the branches and he wants to take care of them.

Comment 7 Gwyn Ciesla 2014-06-25 18:03:24 UTC
User "richardhenwood" is not in the packager group.


Note You need to log in before you can comment on or make changes to this bug.